org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode

      public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder>
      implements JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder` | `addAllTimerInstanceId(Iterable<? extends Long> values)` `repeated int64 timer_instance_id = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder` | `addTimerInstanceId(long value)` `repeated int64 timer_instance_id = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode` | `build()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode` | `buildPartial()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder` | `clear()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder` | `clearProcessInstanceId()` `optional int64 process_instance_id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder` | `clearTimerInstanceId()` `repeated int64 timer_instance_id = 2;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder` | `clone()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getProcessInstanceId()` `optional int64 process_instance_id = 1;`
    `long` | `getTimerInstanceId(int index)` `repeated int64 timer_instance_id = 2;`
    `int` | `getTimerInstanceIdCount()` `repeated int64 timer_instance_id = 2;`
    `List<Long>` | `getTimerInstanceIdList()` `repeated int64 timer_instance_id = 2;`
    `boolean` | `hasProcessInstanceId()` `optional int64 process_instance_id = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder` | `mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode other)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder` | `setProcessInstanceId(long value)` `optional int64 process_instance_id = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder` | `setTimerInstanceId(int index, long value)` `repeated int64 timer_instance_id = 2;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder>`

    - #### clear

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder>`

    - #### clone

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder mergeFrom(JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                            throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder>`
      Throws:
        `IOException`

    - #### hasProcessInstanceId

          public boolean hasProcessInstanceId()

      `optional int64 process_instance_id = 1;`
      Specified by:
        `hasProcessInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder`

    - #### getProcessInstanceId

          public long getProcessInstanceId()

      `optional int64 process_instance_id = 1;`
      Specified by:
        `getProcessInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder`

    - #### setProcessInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder setProcessInstanceId(long value)

      `optional int64 process_instance_id = 1;`

    - #### clearProcessInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder clearProcessInstanceId()

      `optional int64 process_instance_id = 1;`

    - #### getTimerInstanceIdList

          public List<Long> getTimerInstanceIdList()

      `repeated int64 timer_instance_id = 2;`
      Specified by:
        `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder`

    - #### getTimerInstanceIdCount

          public int getTimerInstanceIdCount()

      `repeated int64 timer_instance_id = 2;`
      Specified by:
        `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder`

    - #### getTimerInstanceId

          public long getTimerInstanceId(int index)

      `repeated int64 timer_instance_id = 2;`
      Specified by:
        `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder`

    - #### setTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder setTimerInstanceId(int index,
                                                                                                            long value)

      `repeated int64 timer_instance_id = 2;`

    - #### addTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder addTimerInstanceId(long value)

      `repeated int64 timer_instance_id = 2;`

    - #### addAllTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder addAllTimerInstanceId(Iterable<? extends Long> values)

      `repeated int64 timer_instance_id = 2;`

    - #### clearTimerInstanceId

          public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode.Builder clearTimerInstanceId()

      `repeated int64 timer_instance_id = 2;`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.